//
//  BTDataSend.h
//  Unity-iPhone
//
//  Created by duowan123 on 2021/12/21.
//

#import <Foundation/Foundation.h>
#import "MYFactoryManager.h"

#define BTDataSendInstance [BTDataSend sharedInstance]

NS_ASSUME_NONNULL_BEGIN

@interface BTDataSend : NSObject

+(instancetype)sharedInstance;

//查询设备信息
- (void)queryDevideInfo;
//打开游戏模式
- (void)startGameModel;
//设置震动
- (void)vibration:(DEVICE_TYPE)deviceType duration:(int)duration;
//开启/关闭 激光模式
- (void)laser:(int)state;
@end

NS_ASSUME_NONNULL_END
